PHP Manual
Prev |  | Next

# SDO_Model_Type::isInstance

(no version information, might be only in CVS)

SDO_Model_Type::isInstance -- Test for an SDO_DataObject being an instance of this SDO_Model_Type

## Description

boolean SDO_Model_Type::isInstance ( SDO_DataObject data_object )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Test for an SDO_DataObject being an instance of this SDO_Model_Type. Returns `TRUE` if the SDO_DataObject provided is an instance of this SDO_Model_Type, otherwise returns `FALSE`.

## Parameters

data_object

  The SDO_DataObject to be tested.

## Return Values

Returns `TRUE` if the SDO_DataObject provided is an instance of this SDO_Model_Type, otherwise returns `FALSE`.

Prev | Home | Next
SDO_Model_Type::isDataType | Up | SDO_Model_Type::isOpenType